open Generator
open Entropy
  
type tree

(* construit l'arbre des tests  effectuer *)
val build_tree : float array -> test list -> tree

(* construit l'arbre de Huffmann correspondant  la rpartition de probabilit *)
val build_huffmann_tree : float array -> tree 

(* renvoie la profondeur d'un arbre *)    
val depth : tree -> int

(* renvoie la profondeur moyenne de l'arbre *)
val mean_depth : tree -> float array -> float

(* sortie texte d'un arbre *)
val print_tree : string -> tree -> unit

(* sortie graphique d'un arbre *)
val show_tree : tree -> coin -> unit
